using Microsoft.AspNetCore.Mvc;
using System.Web.Http;

namespace 电子展板.Controller
{
    public class AmazeUIController : BaseController
    {
        #region css
        [HttpGet, Route("AmazeUI/css/admin.css")]
        public ActionResult Index()
        {
            return Resouce("/AmazeUI/css/admin.css", "text/css");
        }

        [HttpGet, Route("AmazeUI/css/amazeui.css")]
        public ActionResult AmazeuiCSS()
        {
            return Resouce("/AmazeUI/css/amazeui.css", "text/css");
        }

        [HttpGet, Route("AmazeUI/css/amazeui.flat.css")]
        public ActionResult AmazeuiFlatCss()
        {
            return Resouce("/AmazeUI/css/amazeui.flat.css", "text/css");
        }

        [HttpGet, Route("AmazeUI/css/amazeui.flat.min.css")]
        public ActionResult AmazeuiFlatMinCSS()
        {
            return Resouce("/AmazeUI/css/amazeui.flat.min.css", "text/css");
        }

        [HttpGet, Route("AmazeUI/css/amazeui.min.css")]
        public ActionResult AmazeuiMinCSS()
        {
            return Resouce("/AmazeUI/css/amazeui.min.css", "text/css");
        }

        [HttpGet, Route("AmazeUI/css/app.css")]
        public ActionResult AppCSS()
        {
            return Resouce("/AmazeUI/css/app.css", "text/css");
        }
        #endregion


        #region fonts
        [HttpGet, Route("AmazeUI/fonts/FontAwesome.otf")]
        public ActionResult FontAwesomeotf()
        {
            return Resouce("/AmazeUI/fonts/FontAwesome.otf", "font/otf");
        }
        [HttpGet, Route("AmazeUI/fonts/fontawesome-webfont.eot")]
        public ActionResult fontawesome_webfont_eot()
        {
            return Resouce("/AmazeUI/fonts/fontawesome-webfont.eot", "font/eot");
        }
        [HttpGet, Route("AmazeUI/fonts/fontawesome-webfont.ttf")]
        public ActionResult fontawesome_webfont_ttf()
        {
            return Resouce("/AmazeUI/fonts/fontawesome-webfont.ttf", "font/ttf");
        }
        [HttpGet, Route("AmazeUI/fonts/fontawesome-webfont.woff")]
        public ActionResult fontawesome_webfont_woff()
        {
            return Resouce("/AmazeUI/fonts/fontawesome-webfont.woff", "font/woff");
        }
        [HttpGet, Route("AmazeUI/fonts/fontawesome-webfont.woff2")]
        public ActionResult fontawesome_webfont_woff2()
        {
            return Resouce("/AmazeUI/fonts/fontawesome-webfont.woff2", "font/woff2");
        }
        #endregion


        #region i
        [HttpGet, Route("AmazeUI/i/app-icon72x72@2x.png")]
        public ActionResult app_icon72x72_2x_png()
        {
            return Resouce("/AmazeUI/i/app-icon72x72@2x.png", "image/png");
        }

        [HttpGet, Route("AmazeUI/i/favicon.png")]
        public ActionResult favicon_png()
        {
            return Resouce("/AmazeUI/i/favicon.png", "image/png");
        }

        [HttpGet, Route("AmazeUI/i/startup-640x1096.png")]
        public ActionResult startup_640x1096_png()
        {
            return Resouce("/AmazeUI/i/startup-640x1096.png", "image/png");
        }



        #endregion
        #region JS
        [HttpGet, Route("AmazeUI/js/amazeui.ie8polyfill.js")]
        public ActionResult amazeui_ie8polyfill_js()
        {
            return Resouce("/AmazeUI/js/amazeui.ie8polyfill.js", "application/javascript");
        }
        [HttpGet, Route("AmazeUI/js/amazeui.ie8polyfill.min.js")]
        public ActionResult amazeui_ie8polyfill_min_js()
        {
            return Resouce("/AmazeUI/js/amazeui.ie8polyfill.min.js", "application/javascript");
        }


        [HttpGet, Route("AmazeUI/js/amazeui.js")]
        public ActionResult amazeui_js()
        {
            return Resouce("/AmazeUI/js/amazeui.js", "application/javascript");
        }


        [HttpGet, Route("AmazeUI/js/amazeui.min.js")]
        public ActionResult amazeui_min_js()
        {
            return Resouce("/AmazeUI/js/amazeui.min.js", "application/javascript");
        }




        [HttpGet, Route("AmazeUI/js/amazeui.widgets.helper.js")]
        public ActionResult amazeui_widgets_helper_js()
        {
            return Resouce("/AmazeUI/js/amazeui.widgets.helper.js", "application/javascript");
        }




        [HttpGet, Route("AmazeUI/js/amazeui.widgets.helper.min.js")]
        public ActionResult amazeui_widgets_helper_min_js()
        {
            return Resouce("/AmazeUI/js/amazeui.widgets.helper.min.js", "application/javascript");
        }


        [HttpGet, Route("AmazeUI/js/app_js")]
        public ActionResult app_js()
        {
            return Resouce("/AmazeUI/js/app_js", "application/javascript");
        }
        [HttpGet, Route("AmazeUI/js/handlebars.min.js")]
        public ActionResult handlebars_min_js()
        {
            return Resouce("/AmazeUI/js/handlebars.min.js", "application/javascript");
        }
        #endregion
    }
}
